(defun c:KillProxy (/ *error* ss i n n-b proxy)
  (vl-load-com)
  (defun *error* (error)
    (vla-endundomark *doc*)
    (cond ((not error))
          ((wcmatch (strcase error) "*QUIT*,*CANCEL*"))
          (1 (princ (strcat "\nERROR: " error)))
          ) ;_ end of cond
    (princ)
    ) ;_ end of defun
  (or *acad* (setq *acad* (vlax-get-acad-object)))
  (or *doc* (setq *doc* (vla-get-ActiveDocument *acad*)))
  (vla-endundomark *doc*)
  (vla-startundomark *doc*)
  (or (and (setq i 0
                 n 0
                 ) ;_ end of setq
           (setq ss (ssget "X" '((0 . "*PROXY*"))))
           (while (< i (sslength ss))
             (setq proxy (vlax-ename->vla-object (ssname ss i)))
             (and (not (vl-catch-all-error-p
                         (vl-catch-all-apply 'vla-delete (list proxy))
                         ) ;_ end of vl-catch-all-error-p
                       ) ;_ end of not
                  (setq n (1+ n))
                  ) ;_ end of and
             (setq i (1+ i))
             ) ;_ end of while
           (setq n-b(search-Blocktable))
           (setq n (+ n n-b))
           (princ (strcat "\n" (itoa n) " Proxy Objeke gelscht." ))
           ) ;_ end of and
      (princ "\nKeine Proxys gefunden.")
      ) ;_ end of or
  (command "_.regenall")
  (*error* nil)
  ) ;_ end of defun

(defun search-Blocktable (/ i EARX_BTAA elem elist elem_vor)
  (setq EARX_BTAA (tblnext "BLOCK" T)
        elist     nil
        i 0
        ) ;_ end of setq
  (while
    (/= EARX_BTAA nil)
     (setq elem (cdr (assoc -2 EARX_BTAA)))
     (while (/= elem NIL)
       (cond
         ((wcmatch (cdr (assoc 0 (entget elem))) "*PROXY*")
                  (vla-Delete(vlax-ename->vla-object elem))
            (setq elem elem_vor)
          ) ;_ end of if
         ) ;_ end of cond
       (setq elem_vor elem
             elem (entnext elem))
       ) ;_ end of while
     (setq EARX_BTAA (tblnext "BLOCK"))
     ) ;_ end of while
  i
  )

;|Visual LISP Format Options
(72 2 40 1 T "end of " 60 9 0 0 0 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
